--- ./check.py.orig	2014-03-10 14:46:40.000000000 +0100
+++ ./check.py	2014-03-10 14:56:40.000000000 +0100
@@ -142,9 +142,9 @@
                 comment = "Python Programming is not supported if version is lessthan 2.2" 
     elif package == 'hpaio':
         if Inst_status == 'OK':
-            comment = "'hpaio found in /etc/sane.d/dll.conf'"
+            comment = "'hpaio found in @PREFIX@/etc/sane.d/dll.conf'"
         else:
-            comment = "'hpaio not found in /etc/sane.d/dll.conf. hpaio needs to be added in this file.'"
+            comment = "'hpaio not found in @PREFIX@/etc/sane.d/dll.conf. hpaio needs to be added in this file.'"
     elif package == 'cupsext' or package == 'pcardext' or package == 'hpmudext':
         if Inst_status != 'OK':
             comment = "'Not Found or Failed to load, Please reinstall HPLIP'"
@@ -310,9 +310,9 @@
                      %(self.distro_name, self.distro_version, self.distro_name, supported_distro_vrs)))
           
         tui.header("SYSTEM INFO")
-        Sts, Kernel_info =utils.run("uname -r -v -o")
+        Sts, Kernel_info =utils.run("uname -r -v -s")
         Sts, Host_info =utils.run("uname -n")
-        Sts, Proc_info =utils.run("uname -r -v -o")
+        Sts, Proc_info =utils.run("uname -r -v -s")
         log.info(" Kernel: %s Host: %s Proc: %s Distribution: %s %s"\
              %(Kernel_info,Host_info,Proc_info,self.distro_name, self.distro_version))
         log.info(" Bitness: %s bit\n"%utils.getBitness())
@@ -328,9 +328,9 @@
                 log.warn("HPLIP-Installation: Auto installation is not supported for %s distro  %s version " %(self.distro_name, self.distro_version))
 
             log.info()
-            log.info(log.bold("Current contents of '/etc/hp/hplip.conf' file:"))
+            log.info(log.bold("Current contents of '@PREFIX@/etc/hp/hplip.conf' file:"))
             try:
-                output = file('/etc/hp/hplip.conf', 'r').read()
+                output = file('@PREFIX@/etc/hp/hplip.conf', 'r').read()
             except (IOError, OSError), e:
                 log.error("Could not access file: %s. Check HPLIP installation." % e.strerror)
                 self.num_errors += 1
@@ -338,9 +338,9 @@
                 log.info(output)
 
             log.info()
-            log.info(log.bold("Current contents of '/var/lib/hp/hplip.state' file:"))
+            log.info(log.bold("Current contents of '@PREFIX@/var/lib/hp/hplip.state' file:"))
             try:
-                output = file(os.path.expanduser('/var/lib/hp/hplip.state'), 'r').read()
+                output = file(os.path.expanduser('@PREFIX@/var/lib/hp/hplip.state'), 'r').read()
             except (IOError, OSError), e:
                 log.info("Plugins are not installed. Could not access file: %s" % e.strerror)
             else:
@@ -442,9 +442,10 @@
                 tui.header("DISCOVERED SCANNER DEVICES")
                 if utils.which('scanimage'):
                     status, output = utils.run("scanimage -L")
-                    if status != 0 :
-                        log.error("Failed to get Scanners information.")
-                    elif 'No scanners were identified' in output:
+#                    if status != 0 :
+#                        log.error("Failed to get Scanners information.")
+#                    elif 'No scanners were identified' in output:
+                    if 'No scanners were identified' in output:
                         log.info("No Scanner found.")
                     else:
                         log.info(output)
